/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <ox/std/string.hpp>

#include <turbine/context.hpp>
#include <turbine/clipboard.hpp>

namespace turbine {

ox::String getClipboardText(Context const &) noexcept {
	return {};
}

void setClipboardText(Context&, ox::StringViewCR) noexcept {
}

ox::Result<BaseClipboardObject*> getClipboardData(Context&, ox::StringViewCR) noexcept {
	return ox::Error{1, "not implemented"};
}

}
